Subject: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: Michael Heerdegen <[email-masked]>
Date: Thu, 20 Sep 2012 19:10:08 +0200

martin rudalics <[email-masked]> writes:

> Suppose I do
>
> (progn
>   (load-library "files.el")
>   (debug-on-entry 'file-remote-p))
>
> then I can observe the same behavior as you, more or less.
>
> Emacs 23 reacts in precisely the same manner here.  Emacs 22 doesn't.
> So this is something that must have changed in between these two
> versions.  I don't have the slightest idea what may have caused this and
> whether this qualifies as an error.

It's caused by the calculation of the mode-line.  Try this:

  (setq-default mode-line-remote nil)

and the problem is gone.

Michael.